<?php
use Incoviba\Controller\API\Base;

$app->group('/api', function($app) {
    $folder = implode(DIRECTORY_SEPARATOR, [__DIR__, 'api']);
    if (file_exists($folder)) {
        $files = new FilesystemIterator($folder);
        foreach ($files as $file) {
            if ($file->isDir()) {
                continue;
            }
            include_once $file->getRealPath();
        }
    }
    $app->get('[/]', Base::class);
})->add($app->getContainer()->get(Incoviba\Middleware\API::class));
